# Method: projects.locations.instances.engineConfigs.exportMetadata

- [HTTP request](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/exportMetadata#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/exportMetadata#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/exportMetadata#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/exportMetadata#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/exportMetadata#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/exportMetadata#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/exportMetadata#body.aspect_1)

Export governance information for an EngineConfig resource. For information on the exported fields, see [AML output data model](https://cloud.google.com/financial-services/anti-money-laundering/docs/reference/schemas/aml-output-data-model#engine-config).

### HTTP request

`POST https://financialservices.googleapis.com/v1/{engineConfig=projects/*/locations/*/instances/*/engineConfigs/*}:exportMetadata`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `engineConfig` | `string` Required. The resource name of the EngineConfig. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `engineConfig`: - `financialservices.v1engineconfigs.exportMetadata` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "structuredMetadataDestination": { object (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults#BigQueryDestination`) } } ``` |

| Fields ||
|---|---|
| `structuredMetadataDestination` | ``object (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults#BigQueryDestination`)`` Required. BigQuery output where the metadata will be written. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `engineConfig` resource:

- `financialservices.v1engineconfigs.exportMetadata`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).